> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weryai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API Key

> Create a new API Key for the current user. Each account can create up to 10000 API keys per day.



## OpenAPI

````yaml /openapi-en.json post /v1/generation/api-key
openapi: 3.0.3
info:
  title: WeryAI Generation API
  description: >
    WeryAI Open API provides AI-powered image and video generation capabilities.


    ## Authentication

    All API requests require Bearer token authentication:

    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Task Status

    Generation tasks are processed asynchronously. After submission, you'll
    receive a `task_id` to query the task status and results.


    Task status descriptions:

    - `waiting` - Waiting for processing

    - `processing` - In progress

    - `succeed` - Completed successfully

    - `failed` - Failed


    ## Webhook Callback

    If you provide a `webhook_url`, a POST request containing the task result
    will be sent to that address when the task is completed.
  version: 1.0.0
  contact:
    name: WeryAI Support
    url: https://weryai.com
    email: support@weryai.com
servers:
  - url: https://api.weryai.com
    description: Production Server
security: []
tags:
  - name: Image Generation
    description: Image generation related APIs
  - name: Image Tools
    description: Image editing and processing tool APIs
  - name: Video Generation
    description: Video generation related APIs
  - name: Podcast Generation
    description: Podcast generation related APIs
  - name: Chat
    description: Chat related APIs
  - name: Music Generation
    description: Music generation related APIs
  - name: Effect Template
    description: Effect template related APIs
  - name: File Upload
    description: File upload related APIs
  - name: Tasks
    description: Task query related APIs
  - name: Account
    description: Account related APIs
  - name: Video Tools
    description: Video processing and editing tools APIs
  - name: Audio Tools
    description: >-
      Audio processing and recognition tools APIs


      ## Voice Reference


      The following system voices are available for use with the `voice_id`
      parameter:


      ### English Voices


      | ID | Voice Name | Gender | Preview |

      |---|---|---|---|

      | 85 | Captivating Female | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/3987dd96b7ca46d94dd242cecf32663f.mp3)
      |

      | 84 | Playful Girl | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/cfdefca3904e8db50b05c35b0bbd5e45.mp3)
      |

      | 83 | Lovely Girl | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/2bea3739397fe4fb36346bf65e831d42.mp3)
      |

      | 82 | Cheerful Chloe | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/361f42d41f382276d2d64ec0e4851863.mp3)
      |

      | 81 | Wise Lady | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/df04fdbd3e78d00623b38dec086cf304.mp3)
      |

      | 75 | Southern Dude | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/b565f04d06b7a5f92d33f4edf8fee417.mp3)
      |

      | 74 | Lucky Robot | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/c663ca5b792ad462be53a429262eb974.mp3)
      |

      | 73 | Angry Pirate | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/dcc98bc48ce5cbc2c346878a0330acaa.mp3)
      |

      | 72 | Friendly Giant | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/54ba0fb660d8a7efac178ca7456a08a9.mp3)
      |

      | 71 | Man With Deep Voice | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/9493f3c864b5eabd18992cad528b67e5.mp3)
      |


      ### Chinese Voices


      | ID | Voice Name | Gender | Preview |

      |---|---|---|---|

      | 80 | Arrogant Miss | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/a84538991f639fb8b181d28af21c84eb.mp3)
      |

      | 79 | Kind-hearted Antie | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/00d27936559b4b35886c9e1060092227.mp3)
      |

      | 78 | Gentle Senior | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/ba07358a0a5027e7e74f2377137600a8.mp3)
      |

      | 77 | Intellectual Girl | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/091ae63f445f196f82571f6925ab8c5e.mp3)
      |

      | 76 | News Anchor | FEMALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/2b84f899ad50a01f3d3671ee55bed9d7.mp3)
      |

      | 70 | Stubborn Friend | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/18736aee7085e96d76b8755bf2ca181b.mp3)
      |

      | 69 | Reliable Executive | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/49e33c6f237fb98450ef2c1e1a30ec09.mp3)
      |

      | 68 | Lyrical Voice | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/bda4d4eb6bb331ec2e151eb3e1316bf1.mp3)
      |

      | 67 | Refreshing Young Man | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/f11374b6b82b1193f6429c3729420b1f.mp3)
      |

      | 66 | Pure-hearted Boy | MALE | [▶
      Preview](https://static.weryai.com/growth/audio/audio/4af3a0b6c87a04ec3b5ed096f1b56572.mp3)
      |
  - name: Deep Research
    description: Deep Research related APIs
paths:
  /v1/generation/api-key:
    post:
      tags:
        - Account
      summary: Create API Key
      description: >-
        Create a new API Key for the current user. Each account can create up to
        10000 API keys per day.
      operationId: createApiKey
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenCreateApiKeyRequest'
            example:
              desc: My production key
              trace_id: trace_xxx
      responses:
        '200':
          description: API Key created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateApiKeyResponse'
              example:
                status: 0
                desc: success
                message: success
                data:
                  desc: My production key
                  api_key: sk-xxxxxxxxxxxxxxxx
                  trace_id: trace_xxx
                  create_time: 1710000000000
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - BearerAuth: []
components:
  schemas:
    OpenCreateApiKeyRequest:
      type: object
      required:
        - desc
        - trace_id
      properties:
        desc:
          type: string
          description: >-
            API Key description. Minimum 3 characters and maximum 100
            characters.
          minLength: 3
          maxLength: 100
          example: My production key
        trace_id:
          type: string
          description: >-
            Trace identifier for request tracing. Must be 3 to 100 characters
            and contain only letters, numbers, underscore (_), or hyphen (-).
          minLength: 3
          maxLength: 100
          example: trace_xxx
    CreateApiKeyResponse:
      type: object
      properties:
        status:
          type: integer
          description: Business status code
          example: 0
        desc:
          type: string
          description: Status description
          example: success
        message:
          type: string
          description: Multi-language message
          example: success
        data:
          $ref: '#/components/schemas/CreateApiKeyData'
    CreateApiKeyData:
      type: object
      properties:
        desc:
          type: string
          description: API key description
          example: My production key
        api_key:
          type: string
          description: API key value
          example: sk-xxxxxxxxxxxxxxxx
        trace_id:
          type: string
          description: Trace identifier for request tracing
          example: trace_xxx
        create_time:
          type: integer
          format: int64
          description: Creation timestamp in milliseconds
          example: 1710000000000
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          description: Business status code
          example: 1001
        desc:
          type: string
          description: Error description
          example: Parameter error
        message:
          type: string
          description: Error message
          example: Model does not exist
  responses:
    BadRequest:
      description: Parameter error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: 1001
            desc: Parameter error
            message: Prompt cannot be empty
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: 1002
            desc: Authentication failed
            message: Invalid API Key
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >
        Authenticate using Bearer token. Get your API Key from the [WeryAI
        Console](https://weryai.com/api/keys).


        Example: `Authorization: Bearer sk-xxxxxxxxxxxxxxxx`

````